// Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/address/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共接口"
                ],
                "summary": "设备数据列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.SnDataListReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/auth/login": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "小程序登录",
                "parameters": [
                    {
                        "description": "登录",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/authsrv.LoginReqVo"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/authsrv.LoginRespVo"
                        }
                    }
                }
            }
        },
        "/auth/loginOut": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登出",
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/auth/wechatCallback": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "获取微信返回的授权码",
                "parameters": [
                    {
                        "description": "登录",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/authsrv.LoginReqVo"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/authsrv.LoginRespVo"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/auth/wechatLogin": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "微信扫码登录",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/authsrv.LoginRespVo"
                        }
                    }
                }
            }
        },
        "/common/logisticList": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共接口"
                ],
                "summary": "物流公司列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.LogisticListReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/common/provinceList": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共接口"
                ],
                "summary": "省市区列表",
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/commonsrv.ProvinceListRespVO"
                        }
                    }
                }
            }
        },
        "/driver/carInfo": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "司机"
                ],
                "summary": "车辆信息",
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/driversrv.DriverCarInfoRespVO"
                        }
                    }
                }
            }
        },
        "/driver/orderIntoCar": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "司机"
                ],
                "summary": "装车",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/driversrv.OrderIntoCarReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/driversrv.OrderIntoCarRespVO"
                        }
                    }
                }
            }
        },
        "/driver/signReceipt": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "司机"
                ],
                "summary": "签收",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/driversrv.ScanIntoReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/driversrv.SignReceiptRespVO"
                        }
                    },
                    "400": {
                        "description": "error",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/driver/taskPage": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "司机"
                ],
                "summary": "司机任务列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.TaskPageReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/myself/address/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "添加寄件/收件人",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.AddAddressReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.AddressIdRespVO"
                        }
                    }
                }
            }
        },
        "/myself/address/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "删除寄件/收件人",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.DeleteAddressReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.BaseResponse"
                        }
                    }
                }
            }
        },
        "/myself/address/page": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "寄件/收件人列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.AddressPageReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/myself/address/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "修改寄件/收件人",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.UpdateAddressReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.AddressIdRespVO"
                        }
                    }
                }
            }
        },
        "/myself/info": {
            "get": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "个人信息",
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.AccountInfoVo"
                        }
                    }
                }
            }
        },
        "/myself/logisticCompany/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "物流公司添加",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.AddLogisticReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.LogisticIdRespVO"
                        }
                    }
                }
            }
        },
        "/myself/logisticCompany/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "物流公司删除",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.DeleteLogisticReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.BaseResponse"
                        }
                    }
                }
            }
        },
        "/myself/logisticCompany/page": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "物流公司列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.LogisticPageReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/myself/orderDetail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "订单详情",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/ordersrv.OrderDetailReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/ordersrv.OrderDetailRespVO"
                        }
                    }
                }
            }
        },
        "/myself/orderPage": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "订单列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.OrderPageReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        },
        "/myself/orderSubNo": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "订单揽件码",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.OrderSubNoReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.OrderSubNoRespVO"
                        }
                    }
                }
            }
        },
        "/myself/placeOrder": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "下单",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/ordersrv.PlaceOrderReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/ordersrv.PlaceOrderRespVO"
                        }
                    }
                }
            }
        },
        "/myself/refreshToken": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "刷新token",
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.RefreshTokenRespVo"
                        }
                    }
                }
            }
        },
        "/myself/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户-我的"
                ],
                "summary": "修改个人信息",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/myselfsrv.UpdateMyselfInfoReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.AccountInfoVo"
                        }
                    }
                }
            }
        },
        "/public/deviceSensorList": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开接口不登录"
                ],
                "summary": "设备探头列表",
                "parameters": [
                    {
                        "description": "SN",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/devicesrv.DeviceSensorListReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/devicesrv.DeviceSensorListRespVO"
                        }
                    }
                }
            }
        },
        "/public/logisticDetail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开接口不登录"
                ],
                "summary": "物流详情",
                "parameters": [
                    {
                        "description": "订单id",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/ordersrv.OrderLogisticDetailReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/ordersrv.OrderLogisticDetailRespVO"
                        }
                    }
                }
            }
        },
        "/public/queryOrder": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开接口不登录"
                ],
                "summary": "查运单",
                "parameters": [
                    {
                        "description": "运单号",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/ordersrv.QueryExpressOrderReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/ordersrv.QueryExpressOrderRespVO"
                        }
                    }
                }
            }
        },
        "/public/sensorDataList": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公开接口不登录"
                ],
                "summary": "设备数据列表",
                "parameters": [
                    {
                        "description": "SN数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.SnDataListReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": ""
                        }
                    }
                }
            }
        },
        "/warehouse/info": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "仓管"
                ],
                "summary": "仓库信息",
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/warehousesrv.WarehouseInfoRespVO"
                        }
                    }
                }
            }
        },
        "/warehouse/orderInto": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "仓管"
                ],
                "summary": "订单入库",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/warehousesrv.OrderIntoHouseReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/warehousesrv.OrderIntoHouseRespVO"
                        }
                    }
                }
            }
        },
        "/warehouse/orderOutHouse": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "仓管"
                ],
                "summary": "订单出库",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/warehousesrv.OrderIntoHouseReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/warehousesrv.OrderIntoHouseRespVO"
                        }
                    }
                }
            }
        },
        "/warehouse/orderPage": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "仓管"
                ],
                "summary": "库中订单列表",
                "parameters": [
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/swagger.WarehouseOrderReqVO"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功响应的结构体",
                        "schema": {
                            "$ref": "#/definitions/swagger.PageListResponse"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "authsrv.LoginReqVo": {
            "type": "object",
            "properties": {
                "loginType": {
                    "description": "登录类型：1-内部人员 2-普通用户",
                    "type": "integer"
                },
                "nickName": {
                    "type": "string"
                },
                "openid": {
                    "type": "string"
                },
                "tokenKey": {
                    "type": "string"
                }
            }
        },
        "authsrv.LoginRespVo": {
            "type": "object",
            "properties": {
                "accessToken": {
                    "type": "string"
                },
                "expiresIn": {
                    "type": "integer"
                },
                "isFirst": {
                    "description": "是否首次登录：1-是 2-否",
                    "type": "integer"
                },
                "tokenType": {
                    "type": "string"
                }
            }
        },
        "commonsrv.ProvinceListRespVO": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/commonsrv.ProvinceListRespVO"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "parentId": {
                    "type": "integer"
                }
            }
        },
        "constant.SearchDateTimeType": {
            "type": "string",
            "enum": [
                "today",
                "yesterday",
                "thisWeek",
                "thisMonth",
                "lastThreeDays",
                "lastSevenDays",
                "lastMonthDays"
            ],
            "x-enum-comments": {
                "LastMonthDays": "近一个月",
                "LastSevenDays": "近七天",
                "LastThreeDays": "近三天",
                "ThisMonth": "本月",
                "ThisWeek": "本周",
                "Today": "今天",
                "Yesterday": "昨天"
            },
            "x-enum-varnames": [
                "Today",
                "Yesterday",
                "ThisWeek",
                "ThisMonth",
                "LastThreeDays",
                "LastSevenDays",
                "LastMonthDays"
            ]
        },
        "devicesrv.DeviceSensorListReqVO": {
            "type": "object",
            "properties": {
                "snCode": {
                    "type": "string"
                }
            }
        },
        "devicesrv.DeviceSensorListRespVO": {
            "type": "object",
            "properties": {
                "snCode": {
                    "type": "string"
                },
                "snIds": {}
            }
        },
        "driversrv.DriverCarInfoRespVO": {
            "type": "object",
            "properties": {
                "carNumber": {
                    "type": "string"
                },
                "snCode": {
                    "type": "string"
                },
                "snIds": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/global.SnIdVO"
                    }
                }
            }
        },
        "driversrv.OrderIntoCarReqVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "type": "integer"
                },
                "orderSubNo": {
                    "type": "string"
                }
            }
        },
        "driversrv.OrderIntoCarRespVO": {
            "type": "object",
            "properties": {
                "intoTime": {
                    "$ref": "#/definitions/models.MyTime"
                },
                "orderId": {
                    "type": "integer"
                }
            }
        },
        "driversrv.ScanIntoReqVO": {
            "type": "object",
            "properties": {
                "orderNo": {
                    "type": "string"
                }
            }
        },
        "driversrv.SignReceiptRespVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "type": "integer"
                },
                "singTime": {
                    "$ref": "#/definitions/models.MyTime"
                }
            }
        },
        "global.SnIdVO": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "models.MyTime": {
            "type": "object",
            "properties": {
                "time.Time": {
                    "type": "string"
                }
            }
        },
        "myselfsrv.AddAddressReqVO": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "addressType": {
                    "description": "地址类型：",
                    "type": "string"
                },
                "cityId": {
                    "description": "市Id",
                    "type": "integer"
                },
                "isDefault": {
                    "description": "是否默认：1-是 2-否",
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "phone": {
                    "description": "联系电话",
                    "type": "string"
                },
                "provinceId": {
                    "description": "省Id",
                    "type": "integer"
                },
                "regionId": {
                    "description": "区Id",
                    "type": "integer"
                }
            }
        },
        "myselfsrv.AddLogisticReqVO": {
            "type": "object",
            "properties": {
                "isDefault": {
                    "description": "是否默认：1-是 - 2-否",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "description": "冷链系统公司Id",
                    "type": "integer"
                }
            }
        },
        "myselfsrv.AddressIdRespVO": {
            "type": "object",
            "properties": {
                "addressId": {
                    "type": "integer"
                }
            }
        },
        "myselfsrv.DeleteAddressReqVO": {
            "type": "object",
            "properties": {
                "addressId": {
                    "type": "integer"
                }
            }
        },
        "myselfsrv.DeleteLogisticReqVO": {
            "type": "object",
            "properties": {
                "logisticId": {
                    "type": "string"
                }
            }
        },
        "myselfsrv.LogisticIdRespVO": {
            "type": "object",
            "properties": {
                "logisticId": {
                    "type": "integer"
                }
            }
        },
        "myselfsrv.OrderSubNoReqVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "description": "订单",
                    "type": "integer"
                }
            }
        },
        "myselfsrv.OrderSubNoRespVO": {
            "type": "object",
            "properties": {
                "orderSubNo": {
                    "type": "string"
                }
            }
        },
        "myselfsrv.RefreshTokenRespVo": {
            "type": "object",
            "properties": {
                "accessToken": {
                    "type": "string"
                },
                "expiresIn": {
                    "type": "integer"
                },
                "tokenType": {
                    "type": "string"
                }
            }
        },
        "myselfsrv.UpdateAddressReqVO": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "addressId": {
                    "type": "integer"
                },
                "cityId": {
                    "description": "市Id",
                    "type": "integer"
                },
                "isDefault": {
                    "description": "是否默认：1-是 2-否",
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "phone": {
                    "description": "联系电话",
                    "type": "string"
                },
                "provinceId": {
                    "description": "省Id",
                    "type": "integer"
                },
                "regionId": {
                    "description": "区Id",
                    "type": "integer"
                }
            }
        },
        "myselfsrv.UpdateMyselfInfoReqVO": {
            "type": "object",
            "properties": {
                "companyName": {
                    "description": "公司",
                    "type": "string"
                },
                "gender": {
                    "description": "性别",
                    "type": "string"
                },
                "name": {
                    "description": "真实名称",
                    "type": "string"
                },
                "phone": {
                    "description": "电话",
                    "type": "string"
                }
            }
        },
        "ordersrv.AddressVO": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "addressId": {
                    "description": "地址id",
                    "type": "integer"
                },
                "cityId": {
                    "description": "市Id",
                    "type": "integer"
                },
                "cityName": {
                    "description": "市中文名",
                    "type": "string"
                },
                "isDefault": {
                    "description": "是否默认：1-是 2-否",
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "phone": {
                    "description": "联系电话",
                    "type": "string"
                },
                "provinceId": {
                    "description": "省Id",
                    "type": "integer"
                },
                "provinceName": {
                    "description": "省中文名",
                    "type": "string"
                },
                "regionId": {
                    "description": "区Id",
                    "type": "integer"
                },
                "regionName": {
                    "description": "区中文名",
                    "type": "string"
                }
            }
        },
        "ordersrv.LocationInfoVO": {
            "type": "object",
            "properties": {
                "contactPerson": {
                    "description": "联系人",
                    "type": "string"
                },
                "contactPhone": {
                    "description": "联系电话",
                    "type": "string"
                },
                "extend": {
                    "type": "string"
                },
                "location": {
                    "description": "位置",
                    "type": "string"
                },
                "locationTime": {
                    "description": "到达时间",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.MyTime"
                        }
                    ]
                },
                "snCode": {
                    "type": "string"
                }
            }
        },
        "ordersrv.OrderDetailReqVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "description": "订单ID",
                    "type": "integer"
                }
            }
        },
        "ordersrv.OrderDetailRespVO": {
            "type": "object",
            "properties": {
                "cargoNumber": {
                    "description": "货物数量",
                    "type": "integer"
                },
                "cargoType": {
                    "description": "货物类型",
                    "type": "string"
                },
                "consigneeAddressId": {
                    "description": "收货人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                },
                "deliveryCondition": {
                    "description": "配送要求",
                    "type": "string"
                },
                "deliveryRemark": {
                    "description": "运输备注",
                    "type": "string"
                },
                "isInsuredValue": {
                    "description": "是否保价",
                    "type": "integer"
                },
                "isWeekendPickup": {
                    "description": "周末是否取货：1-是 2-否",
                    "type": "integer"
                },
                "logisticName": {
                    "description": "物流公司",
                    "type": "string"
                },
                "orderId": {
                    "description": "订单ID",
                    "type": "integer"
                },
                "orderNo": {
                    "description": "单号",
                    "type": "string"
                },
                "orderStatus": {
                    "description": "订单状态",
                    "type": "integer"
                },
                "pickupTime": {
                    "description": "取货时间",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.MyTime"
                        }
                    ]
                },
                "sender": {
                    "description": "发货人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                },
                "temperatureInterval": {
                    "description": "温度区间",
                    "type": "string"
                },
                "timeLimit": {
                    "description": "时效",
                    "type": "integer"
                }
            }
        },
        "ordersrv.OrderLogisticDetailReqVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "description": "订单ID",
                    "type": "integer"
                }
            }
        },
        "ordersrv.OrderLogisticDetailRespVO": {
            "type": "object",
            "properties": {
                "consignee": {
                    "description": "收件人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                },
                "logisticLink": {
                    "description": "物流链",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/ordersrv.LocationInfoVO"
                    }
                },
                "orderId": {
                    "description": "运单ID",
                    "type": "integer"
                },
                "sender": {
                    "description": "发件人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                }
            }
        },
        "ordersrv.PlaceOrderReqVO": {
            "type": "object",
            "properties": {
                "LogisticPidName": {
                    "description": "公司名称",
                    "type": "string"
                },
                "cargoNumber": {
                    "description": "货物数量",
                    "type": "integer"
                },
                "cargoType": {
                    "description": "货物类型",
                    "type": "string"
                },
                "consignee": {
                    "description": "收件人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                },
                "deliveryCondition": {
                    "description": "配送要求",
                    "type": "string"
                },
                "deliveryRemark": {
                    "description": "运输备注",
                    "type": "string"
                },
                "isInsuredValue": {
                    "description": "是否保价",
                    "type": "integer"
                },
                "isWeekendPickup": {
                    "description": "周末是否取货：1-是 2-否",
                    "type": "integer"
                },
                "logisticId": {
                    "description": "物流ID",
                    "type": "integer"
                },
                "logisticPid": {
                    "description": "公司ID",
                    "type": "integer"
                },
                "pickupTime": {
                    "description": "取货时间",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.MyTime"
                        }
                    ]
                },
                "sender": {
                    "description": "寄件人",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.AddressVO"
                        }
                    ]
                },
                "temperatureInterval": {
                    "description": "温度区间",
                    "type": "string"
                },
                "timeLimit": {
                    "description": "时效",
                    "type": "integer"
                }
            }
        },
        "ordersrv.PlaceOrderRespVO": {
            "type": "object",
            "properties": {
                "orderNo": {
                    "type": "string"
                },
                "placeOrderTime": {
                    "$ref": "#/definitions/models.MyTime"
                }
            }
        },
        "ordersrv.QueryExpressOrderReqVO": {
            "type": "object",
            "properties": {
                "orderNo": {
                    "description": "运单号",
                    "type": "string"
                }
            }
        },
        "ordersrv.QueryExpressOrderRespVO": {
            "type": "object",
            "properties": {
                "LatestLocation": {
                    "description": "最近一次定位信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/ordersrv.LocationInfoVO"
                        }
                    ]
                },
                "logisticName": {
                    "description": "物流名称",
                    "type": "string"
                },
                "orderId": {
                    "type": "integer"
                },
                "orderNo": {
                    "description": "单号",
                    "type": "string"
                },
                "orderStatus": {
                    "description": "订单状态",
                    "type": "integer"
                }
            }
        },
        "swagger.AccountInfoVo": {
            "type": "object",
            "properties": {
                "accountId": {
                    "description": "账号ID",
                    "type": "integer"
                },
                "accountType": {
                    "description": "账号类型",
                    "type": "integer"
                },
                "accountUuid": {
                    "type": "string"
                },
                "avatar": {
                    "description": "头像",
                    "allOf": [
                        {
                            "$ref": "#/definitions/swagger.FileSource"
                        }
                    ]
                },
                "companyName": {
                    "description": "公司",
                    "type": "string"
                },
                "gender": {
                    "description": "性别",
                    "type": "string"
                },
                "isFirst": {
                    "description": "是否首次登录，1-是 2-否",
                    "type": "integer"
                },
                "name": {
                    "description": "真实名称",
                    "type": "string"
                },
                "openid": {
                    "description": "微信Openid",
                    "type": "string"
                },
                "phone": {
                    "description": "电话",
                    "type": "string"
                },
                "role": {
                    "description": "角色：用户 司机 仓管",
                    "type": "string"
                }
            }
        },
        "swagger.AddressPageReqVO": {
            "type": "object",
            "properties": {
                "addressType": {
                    "description": "地址类型：sender-发货人 consignee-收货人",
                    "type": "string"
                },
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                }
            }
        },
        "swagger.BaseResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "业务code码",
                    "type": "integer"
                },
                "data": {
                    "description": "数据信息"
                },
                "msg": {
                    "description": "提示信息",
                    "type": "string"
                },
                "reference": {
                    "description": "关联信息"
                }
            }
        },
        "swagger.FileSource": {
            "type": "object",
            "properties": {
                "fileCode": {
                    "type": "string"
                },
                "fileId": {
                    "type": "integer"
                },
                "fileName": {
                    "type": "string"
                },
                "fileUrl": {
                    "type": "string"
                }
            }
        },
        "swagger.LogisticListReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                },
                "search": {
                    "type": "object",
                    "properties": {
                        "name": {
                            "type": "string"
                        }
                    }
                },
                "userTokey": {
                    "type": "string"
                }
            }
        },
        "swagger.LogisticPageReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                }
            }
        },
        "swagger.OrderPageReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                },
                "search": {
                    "type": "object",
                    "properties": {
                        "orderNo": {
                            "description": "订单号",
                            "type": "string"
                        },
                        "orderStatus": {
                            "type": "array",
                            "items": {
                                "type": "integer"
                            }
                        },
                        "placeOrderEndTime": {
                            "$ref": "#/definitions/models.MyTime"
                        },
                        "placeOrderStartTime": {
                            "$ref": "#/definitions/models.MyTime"
                        },
                        "searchDateTime": {
                            "$ref": "#/definitions/constant.SearchDateTimeType"
                        }
                    }
                }
            }
        },
        "swagger.Page": {
            "type": "object",
            "properties": {
                "offset": {
                    "description": "offset位移",
                    "type": "integer"
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "size": {
                    "description": "每页最大加载条数",
                    "type": "integer"
                },
                "sort": {
                    "description": "排序（暂时不用）",
                    "type": "string"
                }
            }
        },
        "swagger.PageListResponse": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "当前页总数",
                    "type": "integer"
                },
                "list": {
                    "description": "列表数据信息"
                },
                "total": {
                    "description": "列表数据总数",
                    "type": "integer"
                },
                "totalPage": {
                    "description": "总页数",
                    "type": "integer"
                }
            }
        },
        "swagger.SnDataListReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                },
                "search": {
                    "type": "object",
                    "properties": {
                        "timeEnd": {
                            "$ref": "#/definitions/models.MyTime"
                        },
                        "timeStart": {
                            "description": "2023-03-14 00:00:00",
                            "allOf": [
                                {
                                    "$ref": "#/definitions/models.MyTime"
                                }
                            ]
                        }
                    }
                },
                "snId": {
                    "type": "string"
                },
                "userTokey": {
                    "type": "string"
                }
            }
        },
        "swagger.TaskPageReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                },
                "search": {
                    "type": "object",
                    "properties": {
                        "orderNo": {
                            "type": "string"
                        }
                    }
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "swagger.WarehouseOrderReqVO": {
            "type": "object",
            "properties": {
                "page": {
                    "$ref": "#/definitions/swagger.Page"
                },
                "search": {
                    "type": "object",
                    "properties": {
                        "orderNo": {
                            "type": "string"
                        },
                        "timeEnd": {
                            "$ref": "#/definitions/models.MyTime"
                        },
                        "timeStart": {
                            "$ref": "#/definitions/models.MyTime"
                        }
                    }
                }
            }
        },
        "warehousesrv.OrderIntoHouseReqVO": {
            "type": "object",
            "properties": {
                "orderId": {
                    "type": "integer"
                }
            }
        },
        "warehousesrv.OrderIntoHouseRespVO": {
            "type": "object",
            "properties": {
                "intoTime": {
                    "$ref": "#/definitions/models.MyTime"
                },
                "orderId": {
                    "type": "integer"
                },
                "orderNo": {
                    "type": "string"
                }
            }
        },
        "warehousesrv.WarehouseInfoRespVO": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "snCode": {
                    "type": "string"
                },
                "snIds": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/global.SnIdVO"
                    }
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
