package constant

import "time"

// 系统类型
const (
	AccountPlatform = 1 // 平台
	AccountApplet   = 2 // 普通用户
)

// 图片资源类型
const (
	SourceTypeImage = 1 // 普通图片
	SourceTypePDF   = 2 // PDF文件
	SourceTypeExcel = 3 // excel文件
)

const (
	ImageFileSourceCodePrefix = "img-"      // 图片
	SliceFileSourceCodePrefix = "slice-"    // 切片
	PDFFileSourceCodePrefix   = "pdf-"      // pdf
	ExcelFileSourceCodePrefix = "excel-"    // excel
	ExamCodePrefix            = "exam-"     // exam
	LearningCodePrefix        = "learning-" // 学习资料
	ClassCodePrefix           = "class-"    // 班级
)

// 排重类型
const (
	DuplicateTypeSkip  = "skip"  // 跳过
	DuplicateTypeCover = "cover" // 覆盖
)

// 权限类型
const (
	PermisTypeMenu = 1 // 菜单权限
	PermisTypeFunc = 2 // 功能权限
	PermisTypeData = 3 // 数据权限
)

// 数据权限code
const (
	DataPermCodeOwner   = "data:owner:1"
	DataPermCodeSameOrg = "data:sameorg:1"
	DataPermCodeAll     = "data:all:1"
)

// 用户订单状态
const (
	OrderStatusPending   = 101 // 待处理
	OrderStatusWaitCar   = 102 // 待装车
	OrderStatusInTransit = 103 // 运输中
	OrderStatusReceived  = 104 // 已签收
)

// 任务状态
const (
	TaskStatusPending   = 201 // 待处理
	TaskStatusExecuting = 202 // 执行中
	TaskStatusFinished  = 203 // 已完成
)

// 订单库中状态
const (
	WarehouseStatusIn  = 301 // 库中
	WarehouseStatusOut = 302 // 已出库
)

const (
	LogisticLogTraffic   = "traffic"   // 运输
	LogisticLogWarehouse = "warehouse" // 仓储
)

// 运输目的地
const (
	DestinationDest    = "dest"    // 终点
	DestinationTransit = "transit" // 中转
)

const (
	RoleUser      = "user"      // user-用户
	RoleDriver    = "driver"    // driver-司机
	RoleWarehouse = "warehouse" // warehouse-仓管
)

const DefaultTokenLimit = 7 * 24 * time.Hour
