package global

import (
	"Cold_Logistic/internal/pkg/common/constant"
	"context"
	"encoding/json"
)

type TokenInfo struct {
	AccountId   int    `json:"accountId"`   // 账号ID
	AccountUuid string `json:"accountUuid"` // 冷链系统的账号ID
	Pid         int    `json:"pid"`         // 公司ID；冷链系统那边的
	AccountType int    `json:"accountType"` // 账号类型
	Role        string `json:"role"`        // 角色
	Name        string `json:"name"`        // 名字
	Phone       string `json:"phone"`       // 手机号
	Gender      string `json:"gender"`      // 性别
	CompanyName string `json:"companyName"` // 公司
	Openid      string `json:"openid"`      // 微信Id
	IsFirst     int    `json:"isFirst"`     // 是否首次登录，1-是 2-否
	UsePid      int    `json:"usePid"`      // 登录账号所使用的公司ID
	PowerId     int    `json:"powerId"`     // 权限ID
	CarId       int    `json:"carId"`       // 车ID
	WarehouseId int    `json:"warehouseId"` // 仓库ID
}

// MarshalBinary ..
func (d *TokenInfo) MarshalBinary() ([]byte, error) {
	return json.Marshal(d)
}

func GetTokenInfoFromContext(c context.Context) TokenInfo {
	if t, ok := c.Value(constant.TokenInfoKey).(TokenInfo); ok {
		return t
	}
	return TokenInfo{}
}
