package middleware

import (
	"Cold_Logistic/internal/pkg/common/codex"
	"Cold_Logistic/internal/pkg/common/constant"
	"Cold_Logistic/internal/pkg/common/global"
	"github.com/gin-gonic/gin"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/core"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/errors"
)

func UserAccount() gin.HandlerFunc {
	return func(c *gin.Context) {
		if tokenInfo, exist := c.Get(constant.TokenInfoKey); exist {
			if tokenInfo.(global.TokenInfo).AccountType != constant.AccountApplet {
				core.WriteResponse(c, errors.WithCode(codex.ErrLoginFailed, "该账号不能进行此操作"), nil)
				c.Abort()
				return
			}
		} else {
			core.WriteResponse(c, errors.WithCode(codex.ErrSignatureInvalid, "unrecognized Authorization header."), nil)
			c.Abort()
			return
		}
	}
}

func PlatformAccount() gin.HandlerFunc {
	return func(c *gin.Context) {
		if tokenInfo, exist := c.Get(constant.TokenInfoKey); exist {
			info := tokenInfo.(global.TokenInfo)
			if info.AccountType != constant.AccountPlatform {
				core.WriteResponse(c, errors.WithCode(codex.ErrLoginFailed, "该账号不能进行此操作"), nil)
				c.Abort()
				return
			}
		} else {
			core.WriteResponse(c, errors.WithCode(codex.ErrSignatureInvalid, "unrecognized Authorization header."), nil)
			c.Abort()
			return
		}
	}
}
