package insider

import (
	"Cold_Logistic/internal/server/adapter/http/middleware"
	"github.com/gin-gonic/gin"
)

func Register(r *gin.RouterGroup) {
	api := NewApi()
	driver := r.Group("/driver")
	driver.Use(middleware.Auth(), middleware.PlatformAccount())
	driver.POST("/carInfo", api.carInfo)           // 车辆信息
	driver.POST("/taskPage", api.taskPage)         // 司机任务列表
	driver.POST("/orderIntoCar", api.orderIntoCar) // 装车
	driver.POST("/signReceipt", api.signReceipt)   // 签收

	house := r.Group("/warehouse")
	house.Use(middleware.Auth(), middleware.PlatformAccount())
	house.POST("/info", api.houseInfo)           // 仓库信息
	house.POST("/orderPage", api.warehouseOrder) // 库中订单列表
	house.POST("/orderInto", api.orderIntoHouse) // 订单入库
	house.POST("/orderOut", api.orderOutHouse)   // 订单出库
	return
}

type Api struct{}

func NewApi() Api {
	return Api{}
}
