package ordercron

import (
	"Cold_Logistic/internal/pkg/utils/contextutil"
	"Cold_Logistic/internal/server/domain/domainservice"
	"context"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/log"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/watcher"
)

var _ watcher.IMyJob = &OrderNoJob{}

type OrderNoJob struct{}

func NewOrderNoJob() *OrderNoJob {
	return &OrderNoJob{}
}

func (j OrderNoJob) Name() string {
	return "OrderNoJob"
}

func (j OrderNoJob) Run() {
	ctx := contextutil.MakeTraceCtx(context.Background(), "cron-job-name", j.Name())
	log.FromContext(ctx).Info("job start")
	err := domainservice.GenOrderNo(ctx)
	if err != nil {
		log.FromContext(ctx).Errorf("%#+v", err)
	}
	log.FromContext(ctx).Info("job over")
}

func (j OrderNoJob) Stop() {
	log.Infof("cron job: %s stop", j.Name())
}
