package driversrv

import (
	"Cold_Logistic/internal/pkg/common/global"
	"Cold_Logistic/internal/server/infra/models"
	validation "github.com/go-ozzo/ozzo-validation/v4"
	"gogs.baozhida.cn/Cold_Logistic_libs/pkg/contrib/core"
)

type DriverCarInfoReqVO struct {
	UserTokey string `json:"userTokey"`
}

type DriverCarInfoRespVO struct {
	CarNumber string          `json:"carNumber"`
	SnCode    string          `json:"snCode"`
	SnIds     []global.SnIdVO `json:"snIds"`
}

type TaskPageReqVO struct {
	Page   core.Page `json:"page"`
	Status int       `json:"status"`
	Search struct {
		OrderNo string `json:"orderNo"`
	}
}

func (r *TaskPageReqVO) Validate() error {
	return validation.ValidateStruct(r, validation.Field(&r.Status, validation.Required))
}

type OrderIntoCarReqVO struct {
	OrderId    int    `json:"orderId"`
	OrderSubNo string `json:"orderSubNo"`
}

func (r *OrderIntoCarReqVO) Validate() error {
	return validation.ValidateStruct(r,
		validation.Field(&r.OrderId, validation.Required),
		validation.Field(&r.OrderSubNo, validation.Required, validation.RuneLength(6, 6)),
	)
}

type OrderIntoCarRespVO struct {
	OrderId  int           `json:"orderId"`
	IntoTime models.MyTime `json:"intoTime"`
}

type ScanIntoReqVO struct {
	OrderNo string `json:"orderNo"`
}

func (r *ScanIntoReqVO) Validate() error {
	return validation.ValidateStruct(r, validation.Field(&r.OrderNo, validation.Required))
}

type SignReceiptRespVO struct {
	OrderId  int           `json:"orderId"`
	SingTime models.MyTime `json:"singTime"`
}
