package models

// Account 小程序账号表
type Account struct {
	Id          int    `gorm:"column:id" json:"id"`                    //
	CreatedTime MyTime `gorm:"column:created_time" json:"createdTime"` //创建时间
	CreatedBy   int    `gorm:"column:created_by" json:"createdBy"`     //创建人
	UpdatedTime MyTime `gorm:"column:updated_time" json:"updatedTime"` //修改时间
	UpdatedBy   int    `gorm:"column:updated_by" json:"updatedBy"`     //修改人
	DeletedTime MyTime `gorm:"column:deleted_time" json:"deletedTime"` //删除时间
	DeletedBy   int    `gorm:"column:deleted_by" json:"deletedBy"`     //删除人
	Deleted     int    `gorm:"column:deleted" json:"deleted"`          //是否删除 1-是 2-否
	AvatarId    int    `gorm:"column:avatar_id" json:"avatarId"`       //头像文件Id
	AccountType int    `gorm:"column:account_type" json:"accountType"` //账号类型:1-平台员工账号 2-用户账号
	Openid      string `gorm:"column:openid" json:"openid"`            //微信Id
	Name        string `gorm:"column:name" json:"name"`                //用户名（真实姓名）
	Phone       string `gorm:"column:phone" json:"phone"`              //手机号
	Token       string `gorm:"column:token" json:"token"`              //用户token
	FirstLogin  int    `gorm:"column:first_login" json:"firstLogin"`   //是否首次登录: 1-是 2-否
	Gender      string `gorm:"column:gender" json:"gender"`            //性别：男，女
	CompanyName string `gorm:"column:company_name" json:"companyName"` //公司名称
	RoleType    string `gorm:"column:role_type" json:"roleType"`       //角色类型：user-用户 driver-司机  warehouse-仓管
	Uuid        string `gorm:"column:uuid" json:"uuid"`                //冷链系统账号Id
	Pid         int    `gorm:"column:pid" json:"pid"`                  //公司Id
	UsePid      int    `gorm:"column:use_pid" json:"usePid"`           //使用的公司Id
	PowerId     int    `gorm:"column:power_id" json:"powerId"`         //管理后台权限Id
	CarId       int    `gorm:"column:car_id" json:"carId"`             //车辆Id，司机才有
	WarehouseId int    `gorm:"column:warehouse_id" json:"warehouseId"` //仓库Id，仓管才有
}

func (*Account) TableName() string {
	return "account"

}
