package models

// AddressBook 发件人表
type AddressBook struct {
	Id           int    `gorm:"column:id" json:"id"`                      //
	CreatedTime  MyTime `gorm:"column:created_time" json:"createdTime"`   //创建时间
	CreatedBy    int    `gorm:"column:created_by" json:"createdBy"`       //创建人
	UpdatedTime  MyTime `gorm:"column:updated_time" json:"updatedTime"`   //修改时间
	UpdatedBy    int    `gorm:"column:updated_by" json:"updatedBy"`       //修改人
	DeletedTime  MyTime `gorm:"column:deleted_time" json:"deletedTime"`   //删除时间
	DeletedBy    int    `gorm:"column:deleted_by" json:"deletedBy"`       //删除人
	Deleted      int    `gorm:"column:deleted" json:"deleted"`            //是否删除 1-是 2-否
	AddressType  string `gorm:"column:address_type" json:"addressType"`   //地址类型：sender-发货人 consignee-收货人
	Name         string `gorm:"column:name" json:"name"`                  //姓名
	Phone        string `gorm:"column:phone" json:"phone"`                //联系电话
	ProvinceId   int    `gorm:"column:province_id" json:"provinceId"`     //省Id
	ProvinceName string `gorm:"column:province_name" json:"provinceName"` //省中文名
	CityId       int    `gorm:"column:city_id" json:"cityId"`             //市Id
	CityName     string `gorm:"column:city_name" json:"cityName"`         //市中文名
	RegionId     int    `gorm:"column:region_id" json:"regionId"`         //区Id
	RegionName   string `gorm:"column:region_name" json:"regionName"`     //区中文名
	Address      string `gorm:"column:address" json:"address"`            //详细地址
	IsDefault    int    `gorm:"column:is_default" json:"isDefault"`       //是否默认：1-是 2-否
}

func (*AddressBook) TableName() string {
	return "address_book"

}
