package models

// Car 车辆表
type Car struct {
	Id              int    `gorm:"column:id" json:"id"`                             //
	CreatedTime     MyTime `gorm:"column:created_time" json:"createdTime"`          //创建时间
	CreatedBy       int    `gorm:"column:created_by" json:"createdBy"`              //创建人
	UpdatedTime     MyTime `gorm:"column:updated_time" json:"updatedTime"`          //修改时间
	UpdatedBy       int    `gorm:"column:updated_by" json:"updatedBy"`              //修改人
	DeletedTime     MyTime `gorm:"column:deleted_time" json:"deletedTime"`          //删除时间
	DeletedBy       int    `gorm:"column:deleted_by" json:"deletedBy"`              //删除人
	Deleted         int    `gorm:"column:deleted" json:"deleted"`                   //是否删除 1-是 2-否
	CarNumber       string `gorm:"column:car_number" json:"carNumber"`              //车牌号
	Pid             int    `gorm:"column:pid" json:"pid"`                           //冷链系统账号的公司Id
	SnCode          string `gorm:"column:sn_code" json:"snCode"`                    //sn编码
	DriverUuid      string `gorm:"column:driver_uuid" json:"driverUuid"`            //司机uuid
	DriverAccountId int    `gorm:"column:driver_account_id" json:"driverAccountId"` //司机账号id
	CarType         string `gorm:"column:car_type" json:"carType"`                  //车辆类型
	Enable          int    `gorm:"column:enable" json:"enable"`                     //是否启用：1-是  2-否
}

func (*Car) TableName() string {
	return "car"

}
