package models

// ExpressOrder 快递单表
type ExpressOrder struct {
	Id                  int    `gorm:"column:id" json:"id"`                                    //
	CreatedTime         MyTime `gorm:"column:created_time" json:"createdTime"`                 //创建时间
	CreatedBy           int    `gorm:"column:created_by" json:"createdBy"`                     //创建人
	UpdatedTime         MyTime `gorm:"column:updated_time" json:"updatedTime"`                 //修改时间
	UpdatedBy           int    `gorm:"column:updated_by" json:"updatedBy"`                     //修改人
	DeletedTime         MyTime `gorm:"column:deleted_time" json:"deletedTime"`                 //删除时间
	DeletedBy           int    `gorm:"column:deleted_by" json:"deletedBy"`                     //删除人
	Deleted             int    `gorm:"column:deleted" json:"deleted"`                          //是否删除 1-是 2-否
	Version             int    `gorm:"column:version" json:"version"`                          //版本号
	Pid                 int    `gorm:"column:pid" json:"pid"`                                  //公司ID
	OrderNo             string `gorm:"column:order_no" json:"orderNo"`                         //单号
	LogisticId          int    `gorm:"column:logistic_id" json:"logisticId"`                   //物流公司Id
	OrderStatus         int    `gorm:"column:order_status" json:"orderStatus"`                 //订单状态：101-待处理；102-待装车 103-运输中 104-已签收
	SenderAddressId     int    `gorm:"column:sender_address_id" json:"senderAddressId"`        //发货地址Id
	ConsigneeAddressId  int    `gorm:"column:consignee_address_id" json:"consigneeAddressId"`  //收货地址id
	CargoType           string `gorm:"column:cargo_type" json:"cargoType"`                     //货物类型
	TemperatureInterval string `gorm:"column:temperature_interval" json:"temperatureInterval"` //温度区间
	CargoNumber         int    `gorm:"column:cargo_number" json:"cargoNumber"`                 //货物数量
	NumberUnit          string `gorm:"column:number_unit" json:"numberUnit"`                   //计量单位
	DeliveryCondition   string `gorm:"column:delivery_condition" json:"deliveryCondition"`     //配送要求
	DeliveryRemark      string `gorm:"column:delivery_remark" json:"deliveryRemark"`           //运输备注
	TimeLimit           int    `gorm:"column:time_limit" json:"timeLimit"`                     //时效
	PickupTime          MyTime `gorm:"column:pickup_time" json:"pickupTime"`                   //取货时间
	IsWeekendPickup     int    `gorm:"column:is_weekend_pickup" json:"isWeekendPickup"`        //周末是否取货：1-是 2-否
	IsInsuredValue      int    `gorm:"column:is_insured_value" json:"isInsuredValue"`          //是否保价
	Freight             int    `gorm:"column:freight" json:"freight"`                          //运费
	LatestLogId         int    `gorm:"column:latest_log_id" json:"latestLogId"`                //最近一次定位
	LatestTaskId        int    `gorm:"column:latest_task_id" json:"latestTaskId"`              //任务Id
	SignReceiptTime     MyTime `gorm:"column:sign_receipt_time" json:"signReceiptTime"`        //签收时间
	SignReceiptBy       int    `gorm:"column:sign_receipt_by" json:"signReceiptBy"`            //签收人账号ID
}

func (*ExpressOrder) TableName() string {
	return "express_order"

}
