package models

// OrderLogisticLog 运单物流日志表
type OrderLogisticLog struct {
	Id                int    `gorm:"column:id" json:"id"`                                 //
	CreatedTime       MyTime `gorm:"column:created_time" json:"createdTime"`              //创建时间
	CreatedBy         int    `gorm:"column:created_by" json:"createdBy"`                  //创建人
	UpdatedTime       MyTime `gorm:"column:updated_time" json:"updatedTime"`              //修改时间
	UpdatedBy         int    `gorm:"column:updated_by" json:"updatedBy"`                  //修改人
	DeletedTime       MyTime `gorm:"column:deleted_time" json:"deletedTime"`              //删除时间
	DeletedBy         int    `gorm:"column:deleted_by" json:"deletedBy"`                  //删除人
	Deleted           int    `gorm:"column:deleted" json:"deleted"`                       //是否删除 1-是 2-否
	LogType           string `gorm:"column:log_type" json:"logType"`                      //日志类型
	OrderId           int    `gorm:"column:order_id" json:"orderId"`                      //订单id
	OrderNo           string `gorm:"column:order_no" json:"orderNo"`                      //订单号
	Location          string `gorm:"column:location" json:"location"`                     //当前所在地
	Extend            string `gorm:"column:extend" json:"extend"`                         //消息
	SnCode            string `gorm:"column:sn_code" json:"snCode"`                        //SN设备编码
	ContactAccountId  int    `gorm:"column:contact_account_id" json:"contactAccountId"`   //联系人账号Id
	ContactPersonUuid string `gorm:"column:contact_person_uuid" json:"contactPersonUuid"` //联系人uuid
	ContactPerson     string `gorm:"column:contact_person" json:"contactPerson"`          //联系人姓名
	ContactPhone      string `gorm:"column:contact_phone" json:"contactPhone"`            //联系电话
}

func (*OrderLogisticLog) TableName() string {
	return "order_logistic_log"

}
