package models

// OrderTransportTask 运单任务表
type OrderTransportTask struct {
	Id                int    `gorm:"column:id" json:"id"`                                 //
	CreatedTime       MyTime `gorm:"column:created_time" json:"createdTime"`              //创建时间
	CreatedBy         int    `gorm:"column:created_by" json:"createdBy"`                  //创建人
	UpdatedTime       MyTime `gorm:"column:updated_time" json:"updatedTime"`              //修改时间
	UpdatedBy         int    `gorm:"column:updated_by" json:"updatedBy"`                  //修改人
	DeletedTime       MyTime `gorm:"column:deleted_time" json:"deletedTime"`              //删除时间
	DeletedBy         int    `gorm:"column:deleted_by" json:"deletedBy"`                  //删除人
	Deleted           int    `gorm:"column:deleted" json:"deleted"`                       //是否删除 1-是 2-否
	ExecutorAccountId int    `gorm:"column:executor_account_id" json:"executorAccountId"` //执行人账号id
	CarId             int    `gorm:"column:car_id" json:"carId"`                          //执行人车辆id
	SnCode            string `gorm:"column:sn_code" json:"snCode"`                        //车辆snCode
	OrderId           int    `gorm:"column:order_id" json:"orderId"`                      //订单id
	OrderNo           string `gorm:"column:order_no" json:"orderNo"`                      //订单号
	Status            int    `gorm:"column:status" json:"status"`                         //状态：201-待处理 202-执行中 203-已完成
	Destination       string `gorm:"column:destination" json:"destination"`               //目的地：终点-dest 中转站-transit
	StartTime         MyTime `gorm:"column:start_time" json:"startTime"`                  //开始时间
	FinishedTime      MyTime `gorm:"column:finished_time" json:"finishedTime"`            //完成时间
}

func (*OrderTransportTask) TableName() string {
	return "order_transport_task"

}
