package models

import (
	"gorm.io/datatypes"
)

// Warehouse 仓库表
type Warehouse struct {
	Id          int            `gorm:"column:id" json:"id"`                    //
	CreatedTime MyTime         `gorm:"column:created_time" json:"createdTime"` //创建时间
	CreatedBy   int            `gorm:"column:created_by" json:"createdBy"`     //创建人
	UpdatedTime MyTime         `gorm:"column:updated_time" json:"updatedTime"` //修改时间
	UpdatedBy   int            `gorm:"column:updated_by" json:"updatedBy"`     //修改人
	DeletedTime MyTime         `gorm:"column:deleted_time" json:"deletedTime"` //删除时间
	DeletedBy   int            `gorm:"column:deleted_by" json:"deletedBy"`     //删除人
	Deleted     int            `gorm:"column:deleted" json:"deleted"`          //是否删除 1-是 2-否
	Pid         int            `gorm:"column:pid" json:"pid"`                  //公司Id
	Name        string         `gorm:"column:name" json:"name"`                //仓库名称
	SnCode      string         `gorm:"column:sn_code" json:"snCode"`           //sn编码
	Capacity    int            `gorm:"column:capacity" json:"capacity"`        //容量
	ManagerUuid datatypes.JSON `gorm:"column:manager_uuid" json:"managerUuid"` //管理员uuid
	Address     string         `gorm:"column:address" json:"address"`          //详细地址
	Enable      int            `gorm:"column:enable" json:"enable"`            //是否启用：1-是  2-否
}

func (*Warehouse) TableName() string {
	return "warehouse"

}
