package models

// WarehouseOrder 仓库订单
type WarehouseOrder struct {
	Id           int    `gorm:"column:id" json:"id"`                      //
	CreatedTime  MyTime `gorm:"column:created_time" json:"createdTime"`   //创建时间
	CreatedBy    int    `gorm:"column:created_by" json:"createdBy"`       //创建人
	UpdatedTime  MyTime `gorm:"column:updated_time" json:"updatedTime"`   //修改时间
	UpdatedBy    int    `gorm:"column:updated_by" json:"updatedBy"`       //修改人
	DeletedTime  MyTime `gorm:"column:deleted_time" json:"deletedTime"`   //删除时间
	DeletedBy    int    `gorm:"column:deleted_by" json:"deletedBy"`       //删除人
	Deleted      int    `gorm:"column:deleted" json:"deleted"`            //是否删除 1-是 2-否
	WarehouseId  int    `gorm:"column:warehouse_id" json:"warehouseId"`   //仓库Id
	SnCode       string `gorm:"column:sn_code" json:"snCode"`             //仓库SN编码
	OrderId      int    `gorm:"column:order_id" json:"orderId"`           //订单id
	OrderNo      string `gorm:"column:order_no" json:"orderNo"`           //订单号
	Status       int    `gorm:"column:status" json:"status"`              //状态:301-库中 302-已出库
	StorageTime  MyTime `gorm:"column:storage_time" json:"storageTime"`   //入库时间
	StorageBy    int    `gorm:"column:storage_by" json:"storageBy"`       //入库人
	OutboundTime MyTime `gorm:"column:outbound_time" json:"outboundTime"` //出库时间
	OutboundBy   int    `gorm:"column:outbound_by" json:"outboundBy"`     //出库人
}

func (*WarehouseOrder) TableName() string {
	return "warehouse_order"

}
