package clod

import "encoding/json"

type BaseRespVo struct {
	Code int             `json:"Code"`
	Msg  string          `json:"Msg"`
	Date json.RawMessage `json:"Data"`
}

// UserResp token验证返回结果
type UserResp struct {
	Code int16  `xml:"Code"`
	Msg  string `xml:"Msg"`
	Pid  int    `xml:"Pid"` // 公司id
	Data User   `xml:"Data"`
}

// User 用户信息
type User struct {
	T_uuid  string `xml:"T_uuid"`
	T_pid   int    `xml:"T_pid"`
	T_power int    `xml:"T_power"`
	T_name  string `xml:"T_name"`
	T_user  string `xml:"T_user"`
	T_phone string `xml:"T_phone"`
	T_mail  string `xml:"T_mail"`
	T_wx    string `xml:"T_wx"`
}

type DeviceSensorListResp struct {
	TSn   string `json:"T_sn"`
	TId   int    `json:"T_id"`
	TName string `json:"T_name"`
}

type DeviceSensorDataListParam struct {
	User_tokey string `xml:"User_tokey"`
	T_snid     string `xml:"T_snid"`
	Time_start string `xml:"Time_start"` // 2023-03-14 00:00:00
	Time_end   string `xml:"Time_end"`
	Page       string `xml:"page"`   // 页码
	Page_z     string `xml:"page_z"` // 每页总数
}

type DeviceSensorDataListResp struct {
	Data     []map[string]interface{} `json:"Data"`
	Num      int64                    `json:"Num"`
	PageSize int64                    `json:"Page_size"`
}

type UserListParam struct {
	UserToken string `json:"User_tokey"`
	Name      string `json:"T_name"`
	Page      int    `json:"page"`
	Page_z    int    `json:"page_z"`
}

type UserListResp struct {
	Data     []UserListData
	Num      int64 `json:"Num"`
	PageSize int64 `json:"Page_size"`
}

type UserListData struct {
	TUuid      string `json:"T_uuid"`
	TPid       int    `json:"T_pid"`
	TPids      string `json:"T_pids"`
	TPower     int    `json:"T_power"`
	TPowerName string `json:"T_power_name"`
	TUser      string `json:"T_user"`
	TPass      string `json:"T_pass"`
	TName      string `json:"T_name"`
	TPhone     string `json:"T_phone"`
	TMail      string `json:"T_mail"`
	TWx        string `json:"T_wx"`
}

type PermisParam struct {
	Power_Id int    `xml:"Power_Id"` // 权限id
	Req_Url  string `xml:"Req_Url"`  // 请求url
}

type PermisParamResp struct {
	Code int16  `xml:"Code"`
	Msg  string `xml:"Msg"`
	Pass bool   `xml:"Pass"` // 泛型
}

type LogisticCompanyListParam struct {
	UserTokey string `json:"User_tokey"`
	TName     string `json:"T_name"`
	Page      int    `json:"page"`
	Page_z    int    `json:"page_z"`
}

type LogisticCompanyListResp struct {
	Data     []LogisticCompanyData `json:"Data"`
	Num      int64                 `json:"Num"`
	Page     int64                 `json:"Page"`
	PageSize int64                 `json:"Page_size"`
}

type LogisticCompanyData struct {
	Id        int           `json:"Id"`
	TMid      int           `json:"T_mid"`
	TName     string        `json:"T_name"`
	TPlan     string        `json:"T_plan"`
	TData     string        `json:"T_data"`
	TV3D      string        `json:"T_v3d"`
	TMoney    int           `json:"T_money"`
	TWarning  int           `json:"T_warning"`
	TKey      string        `json:"T_key"`
	TType     int           `json:"T_type"`
	TCharging int           `json:"T_Charging"`
	Children  []interface{} `json:"Children"`
}
